Bug 1044180 - memberOf on a user is converted to lowercase
Summary: memberOf on a user is converted to lowercase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:44 UTC by Nathan Kinder
Modified: 2015-03-05 09:32 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:32:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:44:11 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47398

After upgrading from 389-Directory/1.2.10.12 B2012.180.1623 to 389-Directory/1.2.11.15 B2013.100.2247 we noticed that the memberOf attribute had all characters converted to lowercase.

We run the memberOf-plugin to genereate memberOf.

(This might be a duplicate to Ticket #338, but i file it anyways)

Comment 4 Viktor Ashirov 2014-11-27 11:08:45 UTC
$ rpm -qa | grep 389
389-ds-base-1.3.3.1-9.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-9.el7.x86_64
389-ds-base-libs-1.3.3.1-9.el7.x86_64

Using steps from https://fedorahosted.org/389/ticket/47398#comment:3 I verified that the original upper/lower-case in memberOf attribute is preserved. Hence marking this bug as VERIFIED.

Comment 6 errata-xmlrpc 2015-03-05 09:32:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.